package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * AlgSetting
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class AlgSetting   {
  @JsonProperty("ftp")
  private Boolean ftp;

  @JsonProperty("h323")
  private Boolean h323;

  @JsonProperty("pptp")
  private Boolean pptp;

  @JsonProperty("sip")
  private Boolean sip;

  @JsonProperty("ipSec")
  private Boolean ipSec;

  public AlgSetting ftp(Boolean ftp) {
    this.ftp = ftp;
    return this;
  }

  /**
   * Whether to enable the FTP ALG
   * @return ftp
  */
  @ApiModelProperty(required = true, value = "Whether to enable the FTP ALG")
  @NotNull


  public Boolean getFtp() {
    return ftp;
  }

  public void setFtp(Boolean ftp) {
    this.ftp = ftp;
  }

  public AlgSetting h323(Boolean h323) {
    this.h323 = h323;
    return this;
  }

  /**
   * Whether to enable the H323 ALG
   * @return h323
  */
  @ApiModelProperty(required = true, value = "Whether to enable the H323 ALG")
  @NotNull


  public Boolean getH323() {
    return h323;
  }

  public void setH323(Boolean h323) {
    this.h323 = h323;
  }

  public AlgSetting pptp(Boolean pptp) {
    this.pptp = pptp;
    return this;
  }

  /**
   * Whether to enable the PPTP ALG
   * @return pptp
  */
  @ApiModelProperty(required = true, value = "Whether to enable the PPTP ALG")
  @NotNull


  public Boolean getPptp() {
    return pptp;
  }

  public void setPptp(Boolean pptp) {
    this.pptp = pptp;
  }

  public AlgSetting sip(Boolean sip) {
    this.sip = sip;
    return this;
  }

  /**
   * Whether to enable the SIP ALG
   * @return sip
  */
  @ApiModelProperty(required = true, value = "Whether to enable the SIP ALG")
  @NotNull


  public Boolean getSip() {
    return sip;
  }

  public void setSip(Boolean sip) {
    this.sip = sip;
  }

  public AlgSetting ipSec(Boolean ipSec) {
    this.ipSec = ipSec;
    return this;
  }

  /**
   * Whether to enable the IPSec ALG
   * @return ipSec
  */
  @ApiModelProperty(required = true, value = "Whether to enable the IPSec ALG")
  @NotNull


  public Boolean getIpSec() {
    return ipSec;
  }

  public void setIpSec(Boolean ipSec) {
    this.ipSec = ipSec;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AlgSetting algSetting = (AlgSetting) o;
    return Objects.equals(this.ftp, algSetting.ftp) &&
        Objects.equals(this.h323, algSetting.h323) &&
        Objects.equals(this.pptp, algSetting.pptp) &&
        Objects.equals(this.sip, algSetting.sip) &&
        Objects.equals(this.ipSec, algSetting.ipSec);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ftp, h323, pptp, sip, ipSec);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AlgSetting {\n");
    
    sb.append("    ftp: ").append(toIndentedString(ftp)).append("\n");
    sb.append("    h323: ").append(toIndentedString(h323)).append("\n");
    sb.append("    pptp: ").append(toIndentedString(pptp)).append("\n");
    sb.append("    sip: ").append(toIndentedString(sip)).append("\n");
    sb.append("    ipSec: ").append(toIndentedString(ipSec)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

